# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Like sha256sum or sha512sum, except it passes data through."
HOMEPAGE="https://git.decade.cz/decade-public/${PN}"
SRC_URI="https://git.decade.cz/decade-public/${PN}/archive/v${PV}.tar.gz -> ${PN}-v${PV}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="*"
IUSE=""

RDEPEND="
	dev-libs/openssl
	sys-libs/glibc
"

S="${WORKDIR}/${PN}"

src_compile() {
	./build.sh
}

src_install() {
	dobin ${PN}
}
