# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Meta package with system dependencies for the Zephyr Project."
HOMEPAGE="https://www.zephyrproject.org/"

LICENSE="metapackage"
SLOT="0"

KEYWORDS="amd64"

RDEPEND="
	dev-util/gperf
	dev-util/ninja
	dev-python/setuptools
	dev-util/shadowman
	dev-util/cmake
	dev-python/pip
	app-mobilephone/dfu-util
	dev-vcs/git
	sys-apps/dtc
	dev-util/ccache
"
