# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit git-r3

DESCRIPTION="Converts, normalizes audio-video files."
HOMEPAGE="https://git.decade.cz/overwatch/${PN}"
EGIT_REPO_URI="https://git.decade.cz/overwatch/${PN}.git"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="*"

RDEPEND="
	dev-python/over
	media-video/ffmpeg[encode,opus,vorbis,vpx,x264,x265]
"

src_install() {
	exeinto /usr/share/${PN}
	doexe ${PN}.py

	insinto /usr/share/${PN}
	doins aux.py version.py

	dosym /usr/share/${PN}/${PN}.py /usr/bin/${PN}
}
