# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit meson

SRC_URI="https://github.com/flatpak/${PN}/releases/download/${PV}/${P}.tar.xz"
DESCRIPTION="Flatpak portal library"
HOMEPAGE="https://github.com/flatpak/libportal"

LICENSE="LGPL-2"
SLOT="0"
IUSE="test"

KEYWORDS="~amd64"

RDEPEND="dev-libs/glib:2"

DEPEND="${RDEPEND}
	dev-util/gtk-doc"

src_configure() {
	local emesonargs=(
		$(meson_use test build-portal-test)
	)

	meson_src_configure
}
