# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
ETYPE="sources"

inherit kernel-2
detect_version
detect_arch

KEYWORDS="~arm64"
HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches"

DESCRIPTION="Full sources for the Linux ${KV_MAJOR}.${KV_MINOR} kernel tree."
SRC_URI="${KERNEL_URI}"

src_prepare() {
	DECADE_PATCHES=( ${FILESDIR}/patches-${KV_MAJOR}.${KV_MINOR}/*.patch )
	
	for P in ${DECADE_PATCHES[@]}; do
		eapply "${P}"
	done
	
	kernel-2_src_prepare
}
